### File

`packages/ecl/components/ecl-radio/ecl-radio.directive.ts`

### Description

Directive that applies the ECL radio button styling and behavior.

Should be applied to native radio input elements to enhance them with ECL styles and support for invalid, disabled and binary states.

### Extends

`ECLBaseDirective`

### Implements

`DoCheck`

### Metadata

Selector | `[eclRadio]`

### Index

###### Properties
eclRadioHelpComponent eclRadioLabelComponent
###### Methods
getCssClasses
###### Inputs
isBinary isDisabled isInvalid class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

isBinary
Type : `boolean`
Adds the `ecl-radio--binary` class when true.

isDisabled
Type : `boolean`
Default value : `false`
Adds the `ecl-radio--disabled` class to the host element when true.

isInvalid
Type : `boolean`
Default value : `false`
Adds the `ecl-radio--invalid` class to the host element when true.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Returns the CSS classes to apply on the host element. Includes the base `ecl-radio` class and the binary modifier if applicable.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclRadioHelpComponent
Type : `EclRadioHelpComponent`
Decorators : `@ContentChild(undefined)`
Reference to the projected EclRadioHelpComponent, if present. Used to synchronize the disabled state with the help text.

eclRadioLabelComponent
Type : `EclRadioLabelComponent`
Decorators : `@ContentChild(undefined)`
Reference to the projected EclRadioLabelComponent, if present. Used to synchronize disabled and invalid states with the label.

### Accessors

cssClasses
get `cssClasses()`
Returns the CSS classes to apply on the host element. Includes the base `ecl-radio` class and the binary modifier if applicable. Returns : `string`

# results matching ""

# No results matching ""